Page MenuHomePhabricator

Lower log level to debug for syntax errors in math tags
Open, NormalPublic

Description

Currently trending on the mediawiki-errors dashboard in Logstash at https://logstash.wikimedia.org/#/dashboard/elasticsearch/mediawiki-errors. About 200 hits per 15 minutes.

Math:
Rendering failed. Printing error message.

Coming from regular page views for anonymous user cache misses and logged-in users alike.

At least one instance of it was caused by the presence of an EN DASH in the Math formula as part of a free text expression. It seems the parser fails when such a dash (–) is used in free text labels.

Example: https://en.wikipedia.org/wiki/Testing_and_performance_of_IC_engines

_typemediawiki
channelMath
hostmw1240
http_methodGET
levelWARNING
messageRendering failed. Printing error message.
referrerhttps://www.google.com/
serveren.wikipedia.org
url/wiki/Testing_and_performance_of_IC_engines
wikienwiki

Was fixed by making an edit and changing the EN DASH (U+2013) to a HYPHEN (U+002D).

Math should probably be fixed to not crash on seeing an En-dash. Alternatively, if this can't or shouldn't be supported, the message level should change from WARNING to DEBUG or INFO, since it is a user error in that case, not a software error.

  • Verify that this error category (lexing error) triggers a tracking category so that editors can fix the problem.

Event Timeline

Krinkle created this task.Jan 13 2016, 2:42 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 13 2016, 2:42 AM
Krinkle updated the task description. (Show Details)Jan 13 2016, 2:43 AM
Krinkle set Security to None.
Physikerwelt renamed this task from [Regression] Math: "Rendering failed. Printing error message." to Lower log level to debug for syntax erros in math tags.Sep 5 2018, 3:41 AM
Physikerwelt renamed this task from Lower log level to debug for syntax erros in math tags to Lower log level to debug for syntax errors in math tags.
Physikerwelt triaged this task as Normal priority.

@Krinkle thank you for this report. However, I can't do anything in the foreseeable future, since the math CI tests are broken T202223.

Physikerwelt updated the task description. (Show Details)Sep 5 2018, 3:48 AM

@Physikerwelt The aforementioned task was marked as resolved. Does it look better now?

Pkra moved this task from Incoming to texvc on the Math board.
Pkra added a subscriber: Pkra.Dec 10 2018, 8:43 PM

This is a texvc issue.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:11 PM